Bug 812564 - SELinux is preventing /usr/bin/evince-thumbnailer from 'read' accesses on the lnk_file /home/luya/.fonts/Library.
SELinux is preventing /usr/bin/evince-thumbnailer from 'read' accesses on the...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:ff67b59c3944c3b791a22e815e2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-14 18:00 EDT by Luya Tshimbalanga
Modified: 2012-04-18 19:08 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-116.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-18 19:08:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luya Tshimbalanga 2012-04-14 18:00:33 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.1-5.fc17.x86_64
time:           Sat 14 Apr 2012 03:00:18 PM PDT

description:
:SELinux is preventing /usr/bin/evince-thumbnailer from 'read' accesses on the lnk_file /home/luya/.fonts/Library.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that evince-thumbnailer should be allowed read access on the Library lnk_file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep evince-thumbnai /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
:Target Context                unconfined_u:object_r:user_fonts_t:s0
:Target Objects                /home/luya/.fonts/Library [ lnk_file ]
:Source                        evince-thumbnai
:Source Path                   /usr/bin/evince-thumbnailer
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           evince-3.4.0-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-114.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.1-5.fc17.x86_64 #1 SMP
:                              Tue Apr 10 20:42:28 UTC 2012 x86_64 x86_64
:Alert Count                   2
:First Seen                    Sat 14 Apr 2012 02:50:59 PM PDT
:Last Seen                     Sat 14 Apr 2012 02:51:00 PM PDT
:Local ID                      b7d1ef0e-d019-4d40-8ab5-cb4f28c6acd2
:
:Raw Audit Messages
:type=AVC msg=audit(1334440260.488:336): avc:  denied  { read } for  pid=4397 comm="evince-thumbnai" name="Library" dev="dm-2" ino=25036081 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_fonts_t:s0 tclass=lnk_file
:
:
:type=SYSCALL msg=audit(1334440260.488:336): arch=x86_64 syscall=stat success=no exit=EACCES a0=ca6720 a1=7fff77cdecc0 a2=7fff77cdecc0 a3=ffffffffffffffff items=0 ppid=4354 pid=4397 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=5 comm=evince-thumbnai exe=/usr/bin/evince-thumbnailer subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)
:
:Hash: evince-thumbnai,thumb_t,user_fonts_t,lnk_file,read
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-04-16 05:14:59 EDT
I added fixes to selinux-policy-3.10.0-115.fc17
Comment 2 Fedora Update System 2012-04-16 17:28:51 EDT
selinux-policy-3.10.0-116.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-116.fc17
Comment 3 Fedora Update System 2012-04-18 19:08:11 EDT
selinux-policy-3.10.0-116.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.